%define upstream_name    WWW-LinkedIn
%define upstream_version 0.004

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 13

Summary:    Simple interface to the LinkedIn OAuth API
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/WWW/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Carp)
BuildRequires: perl(Crypt::SSLeay)
BuildRequires: perl(Digest::HMAC_SHA1)
BuildRequires: perl(Digest::MD5)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(HTTP::Request::Common)
BuildRequires: perl(LWP::UserAgent)
BuildRequires: perl(MIME::Base64)
BuildRequires: perl(Net::OAuth)
BuildRequires: perl(Test::More)
BuildArch: noarch

%description
This module provides a simple interface to the LinkedIn OAuth API.

The documentation on LinkedIn's website was unclear and required a couple
days of trial-and-error to make it all work.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} -I. Makefile.PL INSTALLDIRS=vendor
%make_build CFLAGS="%{optflags}"

%check
make test

%install
%make_install

%files
%doc META.yml
%{_mandir}/man3/*
%perl_vendorlib/*




%changelog
* Mon Mar 21 2022 umeabot <umeabot> 0.4.0-13.mga9
+ Revision: 1810564
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 0.4.0-12.mga8
+ Revision: 1506926
- Mageia 8 Mass Rebuild

* Thu Sep 20 2018 umeabot <umeabot> 0.4.0-11.mga7
+ Revision: 1287156
- Mageia 7 Mass Rebuild

* Tue Oct 03 2017 tv <tv> 0.4.0-10.mga7
+ Revision: 1167348
- rebuild with fixed rpm for missing autodeps

* Fri Sep 22 2017 guillomovitch <guillomovitch> 0.4.0-9.mga7
+ Revision: 1157369
- fix build

* Sun Jun 19 2016 pterjan <pterjan> 0.4.0-8.mga6
+ Revision: 1035721
- Rebuild for perl 5.22.2

* Mon Feb 08 2016 umeabot <umeabot> 0.4.0-7.mga6
+ Revision: 944961
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.4.0-6.mga5
+ Revision: 746484
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.4.0-5.mga5
+ Revision: 686837
- Mageia 5 Mass Rebuild

* Sat Oct 19 2013 umeabot <umeabot> 0.4.0-4.mga4
+ Revision: 533019
- Mageia 4 Mass Rebuild

* Sat Aug 24 2013 dlucio <dlucio> 0.4.0-3.mga4
+ Revision: 470600
- bump release

* Sun Jan 13 2013 umeabot <umeabot> 0.4.0-2.mga3
+ Revision: 374731
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Oct 27 2012 dlucio <dlucio> 0.4.0-1.mga3
+ Revision: 310615
- imported package perl-WWW-LinkedIn


* Fri Oct 26 2012 cpan2dist 0.004-1mga
- initial mageia release, generated with cpan2dist
